Bug 18135 - Can submit batch deletion for authorities without selecting any
Summary: Can submit batch deletion for authorities without selecting any
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low trivial (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-16 22:16 UTC by Aleisha Amohia
Modified: 2018-06-04 20:10 UTC (History)
3 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 18135: Show alert if no authorities selected in batch record deletion (1.87 KB, patch)
2017-02-16 22:21 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 18135: Show alert if no authorities selected in batch record deletion (1.93 KB, patch)
2017-02-23 03:44 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 18135: Show alert if no authorities selected in batch record deletion (2.00 KB, patch)
2017-02-23 16:20 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2017-02-16 22:16:32 UTC
At the moment, batch deletion for biblios does not let you submit the deletion form without selecting a checkbox - an alert pops up. This behaviour is not the same for authorities. If nothing is selected, the form still submits and says the deletion was successful.
Comment 1 Aleisha Amohia 2017-02-16 22:21:43 UTC
Created attachment 60370 [details] [review]
Bug 18135: Show alert if no authorities selected in batch record deletion

To test:
1) Go to Tools -> Batch record deletion
2) Select Authorities as record type, put in an auth id, click Continue
3) Unselect the authorities and click Delete selected records
4) Confirm an alert shows up
5) Clear the alert and confirm deleting the authority still works as
normal

Sponsored-by: Catalyst IT
Comment 2 M. Tompsett 2017-02-23 03:44:20 UTC
Eyeballs well. It's a cut-and-paste tweak of the same code for Biblios.
Comment 3 M. Tompsett 2017-02-23 03:44:56 UTC
Created attachment 60591 [details] [review]
Bug 18135: Show alert if no authorities selected in batch record deletion

To test:
1) Go to Tools -> Batch record deletion
2) Select Authorities as record type, put in an auth id, click Continue
3) Unselect the authorities and click Delete selected records
4) Confirm an alert shows up
5) Clear the alert and confirm deleting the authority still works as
normal

Sponsored-by: Catalyst IT

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 4 Jonathan Druart 2017-02-23 16:20:07 UTC
Created attachment 60620 [details] [review]
Bug 18135: Show alert if no authorities selected in batch record deletion

To test:
1) Go to Tools -> Batch record deletion
2) Select Authorities as record type, put in an auth id, click Continue
3) Unselect the authorities and click Delete selected records
4) Confirm an alert shows up
5) Clear the alert and confirm deleting the authority still works as
normal

Sponsored-by: Catalyst IT

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Kyle M Hall 2017-03-03 18:38:02 UTC
Pushed to master for 17.05, thanks Aleisha!
Comment 6 Katrin Fischer 2017-03-14 16:28:28 UTC
'Upping' this to be a bug fix as this fixes the former inconsistent behaviour.

This patch has been pushed to 16.11.x and will be in 16.11.05.